@import url('https://fonts.googleapis.com/css?family=Montserrat:200,400,400i,700|Roboto+Slab:700');

* {
    box-sizing: border-box;
    font-family: Montserrat;
    margin: 0px 0px 0px 0px;
}
a {
    color: rgb(223, 96, 47);
    text-decoration: none;
}
aside {
    box-shadow: 0px 0px 10px 0px black;
    display: inline-block;
    vertical-align: top;
    width: 26%;
    margin: 0 1.5% 0 0;
}
aside>div>h3 {
    background: rgb(218, 74, 29);
    color: rgb(255, 255, 255);
    padding: 5px 5px 5px 5px;
}
aside>div>ul {
    list-style-type: none;
    padding: 10px 20px 20px 20px;
}
body {
    position: relative;
}
footer {
    background: rgb(69, 69, 69);
    text-align: center;
    position: absolute;
    bottom: 0;
    width: 100%;
}
footer>img {
    padding: 10px 0px 10px 0px;
}
h1 {
    background: linear-gradient(rgb(246,193,167), rgb(223, 96, 47));
    border-bottom: 20px solid rgb(218, 74, 29);
    color: rgb(255, 255, 255);
    padding-top: 50px;
    text-align: center;
    line-height: 30px;
}
h2 {
    border-bottom: 1px solid rgb(226, 226, 226);
}

body>header {
    overflow: hidden;
    position: fixed;
    top: 0;
    width: 100%;
}
header>p {
    color: rgb(180, 180, 180);
    font-style: italic;
    text-align: right;
    margin-top: 0px;
}
main {
    padding: 160px 20px 110px 20px;
    margin-bottom: 0px;
    min-height: 100vh;
}
nav>ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: rgb(69, 69, 69);
}
nav>ul>li {
    float: left;
}
nav>ul>li>a {
    display: block;
    color: rgb(255, 255, 255);
    text-align: center;
    font-weight: bold;
    padding: 10px;
}
nav>ul>li.active>a {
    background: rgb(255, 255, 255);
    color: rgb(223, 96, 47);
}
p {
    margin-top: 10px;
}
section {
    display: inline-block;
    width: 98.5%;
    margin: 0 1.5% 0 0;
}
section.section-smaller {
    width: 70%;
}
table {
    border-collapse: collapse;
    margin-top: 10px;
    margin-bottom: 20px;
    width: 50%;
}
#journal {
    width: 100%
}
td, th {
    border: 1px solid #ddd;
    padding: 8px;
}
tr:nth-child(even) {
    background-color: #f2f2f2;
}
tr:hover {
    background-color: #ddd;
}
th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: rgb(218, 74, 29);
    color: white;
}
:not(li)>img:not(#logo) {
    padding: 5px 5px 5px 5px;
    box-shadow: 1px 1px 10px 0px black;
}
#sitemap {
    width: 30%px;
}
.maquettesImgLeft{
    max-width: 30%;
    width: 30%;
}
.maquettesImgRight{
    max-width: 30%;
    width: 30%;
}
.mockupImgFirst{
    max-width:50%;
    width:auto;
}
.mockupImg{
    max-width:30%;
    width:auto;
}
.maquettesTxtRight{
    float: right;
    max-width: 60%;
    width: 60%;
    text-align: justify;
    padding-left: -3000px;
}
.maquettesTxtLeft{
    float: left;
    width: 60%;
    max-width: 60%;
    margin-right: 50px;
    text-align: justify;
}
.mSection1{
    margin-top: 50px;
    margin-bottom: 30px;
}
.mSection{
    margin-top: 100px;
    margin-bottom: 30px;
}
.titleLink:hover{
    text-decoration: underline;
}
#rules {
    margin-top: 10px;
    margin-bottom: 30px;
}
#rules>ul>li {
    margin-top: 5px;
}
canvas {
	border: 1px solid gray;
	padding-left: 0;
	padding-right: 0;
	margin-left: auto;
	margin-right: auto;
	display: none;
}

.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 300px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
.modal-content {
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 0;
  border: 1px solid #888;
  width: 50%;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
  animation-name: animatetop;
  animation-duration: 0.4s;
  text-align: center;
}
@-webkit-keyframes animatetop {
  from {top:-300px; opacity:0}
  to {top:0; opacity:1}
}
@keyframes animatetop {
  from {top:-300px; opacity:0}
  to {top:0; opacity:1}
}
.modal-header {
  padding: 2px 16px;
  background-color: rgb(223, 96, 47);
  color: white;
}

.modal-body {
    padding: 2px 16px;
}

.hamburger {
    visibility: hidden;
}
#errmsg {
    visibility: hidden;
}
#countTest{
    font-size: 3rem;
    text-align: center;
}
#results {
  margin-left:auto;
  margin-right:auto;
  width:100%;
}
#game-errmsg {
    text-align: center;
    visibility: collapse;
}
#game-warmsg {
    text-align: center;
    visibility: collapse;
}

@media ( max-width: 768px ) and ( min-width: 480px ) {
    body>header>h1 {
        margin-top: -25px;
    }
    canvas {
        visibility: hidden;
        width: 100%;
    }
    .mSection1{
        margin-top: 20px;
        margin-bottom: 15px;
    }
    .mSection{
        margin-top: 20px;
        margin-bottom: 15px;
    }
    .maquettesImgLeft{
        max-width: 100%;
        width: 100%;
    }
    .maquettesImgRight{
        max-width: 100%;
        width: 100%;
    }
    .maquettesTxtRight{
        float: none;
        max-width: 100%;
        width: 100%;
        text-align: justify;
        padding-left: 0px;
        margin-bottom: 10px;
    }
    .maquettesTxtLeft{
        float: none;
        width: 100%;
        max-width: 100%;
        margin-right: 0px;
        text-align: justify;
        margin-bottom: 10px;
    }
    .mockupImgFirst{
        max-width:100%;
        width:auto;
    }
    .mockupImg{
        max-width:100%;
        width:auto;
    }
    #sitemap {
        width: 100%;
    }
}
@media ( max-width: 480px ) {
    body>header {
        position: absolute;
    }
    body>header>h1 {
        margin-top: -25px
    }
    nav>ul>li.hamburger {
        padding-left: 45%;
        padding-right: 45%;
    }
    nav>ul>li {
        text-align: center;
        width: 100%;
    }
    nav>ul>li:not(.hamburger) {
        display: none;
    }
    canvas {
        visibility: hidden;
        width: 100%;
    }
    .hamburger {
        visibility: visible;
    }
    .hamburger img {
        filter:invert(100%);
    }
    section.section-smaller {
        width: 98.5%;
        margin: 0 1.5% 0 0;
    }
    aside {
        width: 98.5%;
        margin: 20px 1.5% 0 0;
    }
    .mSection1{
        margin-top: 20px;
        margin-bottom: 15px;
    }
    .mSection{
        margin-top: 20px;
        margin-bottom: 15px;
    }
    .maquettesImgLeft{
        max-width: 100%;
        width: 100%;
    }
    .maquettesImgRight{
        max-width: 100%;
        width: 100%;
    }
    .maquettesTxtRight{
        float: none;
        max-width: 100%;
        width: 100%;
        text-align: justify;
        padding-left: 0px;
        margin-bottom: 10px;
    }
    .maquettesTxtLeft{
        float: none;
        width: 100%;
        max-width: 100%;
        margin-right: 0px;
        text-align: justify;
        margin-bottom: 10px;
    }
    .mockupImgFirst{
        max-width:100%;
        width:auto;
    }
    .mockupImg{
        max-width:100%;
        width:auto;
    }
    #sitemap {
        width: 100%;
    }
    table {
        margin-left: -21px;
        width: 100%;
    }

    .hide{
        display: none;
    }
    #endGame, #egTitleBox, #egImgs, #skipbtn {
        display: none;
    }
}
